Summary: 	File manager using the two-pane design and Gtk+
Name:		emelfm2
Version: 	0.1.2
Release: 	1
License: 	GPL
Group:		Applications
URL:		http://dasui.prima.de/e2wiki/emelFM2
Source0: 	%{name}-%{version}.tar.gz
Source1: 	%{name}.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
emelFM is a file manager that implements the popular two-pane design. It
features a simple GTK2 interface, a flexible filetyping scheme, and a built-in
command line for executing commands without opening an xterm.

%prep
%setup -q

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT%_docdir
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/emelfm2/plugins
make BIN_DIR=$RPM_BUILD_ROOT/usr/local/bin DOC_DIR=$RPM_BUILD_ROOT%_docdir \
	PLUGINS_DIR=$RPM_BUILD_ROOT/usr/local/lib/emelfm2/plugins install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/usr/share/emelfm/plugins/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local
/usr/share
